const fs = require('fs');
const xpath = require('xpath');
const { DOMParser } = require('xmldom');

// XML 파일 읽기
const xmlFilePath = '/Users/waterdrw/Works/KAIT/psd-test/sample/dic_03_000000_홍길동/dic_03_000000_홍길동.gmep';
const xmlContent = fs.readFileSync(xmlFilePath, 'utf8');

// XML 파싱
const doc = new DOMParser().parseFromString(xmlContent, 'application/xml');

// XPath를 사용하여 CRCUnitArr Name="추억의 말뚝박기 놀이" 요소가 존재하는지 확인
const crcUnitArrNode = xpath.select1('//CRCUnitArr[@Name="추억의 말뚝박기 놀이"]', doc);

if (crcUnitArrNode) {
    // CRCUnitArr Name="추억의 말뚝박기 놀이"가 몇 번째 CROwneUnit 요소인지 찾기
    const unitOrderNode = xpath.select("//CRTransFilter[1]/(@ID|@Range|@ClipIndex)", doc);


    console.log('unitOrderNode:', unitOrderNode);

} else {
    console.log('CRCUnitArr Name="추억의 말뚝박기 놀이" not found.');
}